Bug 242488 - Module usb-storage not loaded and poweroff problem
Module usb-storage not loaded and poweroff problem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks: FCMETA_USB
  Show dependency treegraph
 
Reported: 2007-06-04 10:52 EDT by Dario Lesca
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.6.22.5-76.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 16:18:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Some usefull information of my system (HP ProlLiant ML110) (21.06 KB, application/x-gzip)
2007-06-05 04:29 EDT, Dario Lesca
no flags Details

  None (edit)
Description Dario Lesca 2007-06-04 10:52:01 EDT
Description of problem:

Module usb-storage is non loaded at boot and if is manual load and not unoad
before poweroff the machine, the system restart

Version-Release number of selected component (if applicable):

Fedora 7
HP ProLiant ML110
HP USB DAT

How reproducible:

Steps to Reproduce:
1. Poweron the server, enter with user 'root'
2. lsmod|grep usb-storage (not found)
3. modprobe usb-storage: ok, the tape work great
4. run poweroff, when the server is off, afther 3 second restart.
5. goto 2
6. modprobe -r usb-storage and poweroff, the server stop to work ok.
  
Actual results:

1) module usb-storage is NOT loaded
2) if loaded, server afther a poweroff, restart.

Expected results:

1) module usb-storage is automatic loaded
2) poweroff command stop to work the server.

Additional info:
none
Comment 1 Dario Lesca 2007-06-04 13:00:23 EDT
My workaround:

echo "modprobe usb-storage" >> /etc/rc.local

echo "modprobe -r usb-storage" >> /sbin/halt.local
chmod 755 /sbin/halt.local

In this way, the server start and stop great.
Comment 2 Pete Zaitcev 2007-06-04 15:24:04 EDT
Please attach your dmesg after a bootstrapping with an unmodified root
(e.g. without the trickery with rc.local). DO NOT DROP IT IN THE COMMENTS BOX.
Comment 3 Dario Lesca 2007-06-05 04:29:28 EDT
Created attachment 156187 [details]
Some usefull information of my system (HP ProlLiant ML110)

The file contain this files:
[root@cambiami-123 ~]# tar cvfz info.tar.gz *srv
less-srv/
less-srv/lsmod.txt
less-srv/lsusb-v.txt
less-srv/runlevel.txt
less-srv/dmesg.txt
less-srv/lspci-v.txt
less-srv/chkconfig--list.txt
more-srv/
more-srv/lsmod.txt
more-srv/lsusb-v.txt
more-srv/runlevel.txt
more-srv/dmesg.txt
more-srv/lspci-v.txt
more-srv/chkconfig--list.txt
Comment 4 Michal Jaegermann 2007-07-11 17:22:26 EDT
This 'usb-storage' problem kills my USB card reader (it happens to
be "OnSpec Electronic, Inc. Mitsumi FA402M 8-in-2 Card Reader",
ID 55aa:b012) which worked great before a system was upgraded to F7.
That happens to be x86_64 machine but this is likely not relevant.

In dmesg one can find fragments like that:
....
sd 0:0:0:0: Attached scsi disk sda
usb 2-2: new low speed USB device using uhci_hcd and address 2
usb 2-2: configuration #1 chosen from 1 choice
input: Logitech USB-PS/2 Optical Mouse as /class/input/input2
input: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:10.1-2
usb 4-1: new full speed USB device using uhci_hcd and address 2
usb 4-1: configuration #1 chosen from 1 choice
libusual: modprobe for usb-storage succeeded, but module is not present
               ^^^^^^^^^^^^^^^^^^
sata_promise 0000:00:08.0: version 2.00
....

Small wonder.  This happens way before file systems are mounted
and the module in question is available only there.

The net effects are that sticking into a card reader an SD card
from a camera has no effects which could be noted in dmesg and,
clearly, nothing is mounted nor I can mount anything from that
device "by hand".

After 'modprobe usb-storage' that shows up in dmesg output when
a card is inserted
....
usb-storage: device scan complete
scsi scan: INQUIRY result too short (5), using 36
scsi 7:0:0:0: Direct-Access     OEI-USB  CompactFlash     1.01 PQ: 0 ANSI: 0
scsi scan: INQUIRY result too short (5), using 36
scsi 7:0:0:1: Direct-Access     OEI-USB  SM/MS/SD         1.01 PQ: 0 ANSI: 0
sd 7:0:0:0: Attached scsi removable disk sdc
sd 7:0:0:0: Attached scsi generic sg3 type 0
SCSI device sdd: 498176 512-byte hdwr sectors (255 MB)
sdd: Write Protect is off
sdd: Mode Sense: 0b 00 00 08
sdd: assuming drive cache: write through
SCSI device sdd: 498176 512-byte hdwr sectors (255 MB)
sdd: Write Protect is off
sdd: Mode Sense: 0b 00 00 08
sdd: assuming drive cache: write through
 sdd: sdd1
....
and my SD card gets mounted on a desktop.  A workaround is kind
of obvious if you happen to know where to look.

I wonder if bug 244996 is not related (and a long list of bugs
you will get when searching for F7 kernel bugs and "usb-storage"
in comments) although he got some oopses in a log and I do not see
anything of that sort.
Comment 5 Michal Jaegermann 2007-07-12 00:28:04 EDT
BTW - I am not sure if a refusal to power off is not really
a different problem.  At least on my hardware 'poweroff' after
'modprobe usb-storage' does turn off a machine.
Comment 6 Christopher Brown 2007-09-13 16:27:04 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

I have added a blocker bug for the USB subsystem which may get more attention
for this issue.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 7 Michal Jaegermann 2007-09-24 11:40:03 EDT
> Could you tell me if
> you are still having problems with the latest kernel?

My problem, as described in comment #4, was only that usb-storage
module was not loaded and I had to workaround by adding
'modprobe usb-storage' in /etc/rc.d/rc.local.

When I tried with 2.6.22.5-76.fc7 then _something_ indeed loaded
that module even with my workaround line commented out.  So for
me that bug is gone. I did not have poweroff problems with or without
that module present so I cannot comment on that part.
Comment 8 Christopher Brown 2007-09-24 11:43:53 EDT
Thanks for the update. It would be good to get feedback from the original
reporter before closing this.
Comment 9 Dario Lesca 2007-09-26 05:26:58 EDT
On last HP server ML150 (not identical but similar to ML110) with USB DAT which
I have install and update (kernel-2.6.22.5-76.fc7) all work fine without workaround.
 
Thank to all!

Note You need to log in before you can comment on or make changes to this bug.